Overview | Modules | Class Hierarchy | Classes | Members

Functions
MemoryChecker.h File Reference
`#include <execinfo.h>`
`#include <cstdlib>`
`#include <iostream>`
Include dependency graph for MemoryChecker.h:

## Functions

- void memchecker_insert_stack (void *ptr, char **strings, size_t size)
- void memchecker_remove_stack (void *ptr)
- void memory_checker_print_report ()
- void memory_checker_clear_report ()
- void * operator new (size_t size) throw (std::bad_alloc)
- void * operator new[] (size_t size) throw (std::bad_alloc)
- void operator delete (void *ptr) throw ()
- void operator delete[] (void *ptr) throw ()

## Function Documentation

void memchecker_insert_stack | ( | void * | ptr,
|  | char ** | strings,
|  | size_t | size
| ) |  |

void memchecker_remove_stack | ( | void * | ptr | ) |

void memory_checker_clear_report | ( |  | ) |

void memory_checker_print_report | ( |  | ) |

void operator delete | ( | void * | ptr | ) | throw ()`[inline]`

void operator delete[] | ( | void * | ptr | ) | throw ()`[inline]`

void* operator new | ( | size_t | size | ) | throw (std::bad_alloc)`[inline]`

void* operator new[] | ( | size_t | size | ) | throw (std::bad_alloc)`[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012